Subject: Re: Evaluation: draft-ietf-midcom-stun - STUN - Simple Traversal of UDP Through Network Address Translators to Proposed Standard

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 16 Dec 2002 15:58:20 +0100

GEvJnb002124

- --On lørdag, desember 14, 2002 14:28:26 +0100 Patrik Fältström 
<[email-masked]> wrote:

>> (5) The end of this paragraph is weird.
>>
>> 11.2 Message Attributes
>>
>> [...snip...]
>>
>>    Future extensions MAY define new attributes. If a STUN client or
>>    server receives a message with an unknown attribute with a type
>> lower
>>    than or equal to 0x7fff, the message MUST be discarded. If the type
>>    is greater than 0x7fff, the attribute MUST be ignored. The ordering
>>    of attributes within a message is not important (except that the
>>    MESSAGE-INTEGRITY attribute MUST be the last attribute), and a
>> client
>
> The new paragraph is more weird now. I don't know what this means to an
> implementation:
>
>>    Extensions, documented in standards track IETF RFCs, MAY define new
>>    attributes. Attributes with values greater than 0x7fff are optional,
>>    and those less than or equal to 0x7fff are mandatory to understand.
>
> "mandatory to understand"? Especially for codes which will be registered
> later.

the high bit is a criticality flag. 0 = critical, 1 = non-critical.
do not deliver service fi you don't understand a critical extension.

------- End of Forwarded Message

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom